For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Guías (Español)Guides (English)Referencia API
  • Referencia API
      • POSTCrear un reembolso
      • GETObtener un reembolso
LogoLogo
Referencia APIRefunds

Crear un reembolso

POST
https://app.recurrente.com/api/refunds
POST
/api/refunds
$curl -X POST https://app.recurrente.com/api/refunds \
> -H "X-SECRET-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "payment_intent_id": "pa_abc123"
>}'
1{
2 "id": "re_3jfrywsf",
3 "status": "succeeded",
4 "customer": {
5 "id": "string",
6 "email": "string",
7 "full_name": "string"
8 },
9 "user_id": "string",
10 "account_refunded_amount_in_cents": 2187,
11 "customer_refunded_amount_in_cents": 2500,
12 "currency": "GTQ",
13 "created_at": "2024-01-15T09:30:00Z"
14}

Reembolsa un payment intent por el monto completo. Los reembolsos se procesan de vuelta al método de pago original del cliente.

Was this page helpful?
Previous

Obtener un reembolso

Next
Built with

Authentication

X-SECRET-KEYstring
Tu llave secreta de API

Request

This endpoint expects an object.
payment_intent_idstringRequired
ID del payment intent a reembolsar

Response

Reembolso procesado
idstring
ID del reembolso
statusstring
Estado del reembolso
customerobject
user_idstring
ID del usuario
account_refunded_amount_in_centsinteger

Monto debitado de la cuenta del comercio (en centavos)

customer_refunded_amount_in_centsinteger

Monto devuelto al cliente (en centavos)

currencystring
Moneda
created_atdatetime

Fecha de creación

Errors

422
Unprocessable Entity Error